%header.jira-connect-header
  = brand_header_logo

.jira-connect-user
  - if current_user
    - user_link = link_to(current_user.to_reference, user_path(current_user), target: '_blank', rel: 'noopener noreferrer')
    = _('Signed in to GitLab as %{user_link}').html_safe % { user_link: user_link }
  - elsif @subscriptions.present?
    = link_to _('Sign in to GitLab'), jira_connect_users_path, target: '_blank', rel: 'noopener noreferrer', class: 'js-jira-connect-sign-in'

.jira-connect-app
  %h1
    GitLab for Jira Configuration

  - if current_user.blank? && @subscriptions.empty?
    %h2.heading-with-border Sign in to GitLab.com to get started.

    .gl-mt-5
      = external_link _('Sign in to GitLab'), jira_connect_users_path, class: 'ak-button ak-button__appearance-primary js-jira-connect-sign-in'

    .gl-mt-5
      %p Note: this integration only works with accounts on GitLab.com (SaaS).
  - else
    .js-jira-connect-app

    - unless new_jira_connect_ui?
      %form#add-subscription-form.subscription-form{ action: jira_connect_subscriptions_path }
        .ak-field-group
          %label
            GitLab namespace

        .ak-field-group.field-group-input
          %input#namespace-input.ak-field-text{ type: 'text', required: true, placeholder: 'e.g. "MyCompany" or "MyCompany/GroupName"' }
          %button.ak-button.ak-button__appearance-primary{ type: 'submit' }
            Link namespace to Jira

    - if @subscriptions.present?
      %table.subscriptions
        %thead
          %tr
            %th Namespace
            %th Added
            %th
        %tbody
          - @subscriptions.each do |subscription|
            %tr
              %td= subscription.namespace.full_path
              %td= subscription.created_at
              %td= link_to 'Remove', jira_connect_subscription_path(subscription), class: 'remove-subscription'
    - else
      %h4.empty-subscriptions
        No linked namespaces
      %p= s_('Integrations|Namespaces are your GitLab groups and subgroups that will be linked to this Jira instance.')

  %p.browser-limitations-notice
    %strong Browser limitations:
    Adding a namespace currently works only in browsers that allow cross‑site cookies. Please make sure to use
    %a{ href: 'https://www.mozilla.org/en-US/firefox/', target: '_blank', rel: 'noopener noreferrer' } Firefox
    or
    %a{ href: 'https://www.google.com/chrome/index.html', target: '_blank', rel: 'noopener noreferrer' } Google Chrome
    or enable cross‑site cookies in your browser when adding a namespace.
    %a{ href: 'https://gitlab.com/gitlab-org/gitlab/-/issues/263509', target: '_blank', rel: 'noopener noreferrer' } Learn more

= webpack_bundle_tag 'performance_bar' if performance_bar_enabled?
= webpack_bundle_tag 'jira_connect_app'

- add_page_specific_style 'page_bundles/jira_connect', defer: false
